Package org.eclipse.draw2d

# Class ScrollPaneSolver.Result

java.lang.Object
org.eclipse.draw2d.ScrollPaneSolver.Result

Enclosing class:
  ScrollPaneSolver

public static class ScrollPaneSolver.Result extends Object
Container class for the results of ScrollPaneSolver's solve method

## Field Summary

Fields
Modifier and Type
Field
Description
`Insets`
`insets`
Insets of ScrollPane
`boolean`
`showH`
Show horizontal scrollbar boolean
`boolean`
`showV`
Show vertical scrollbar boolean
`Rectangle`
`viewportArea`
Area of ScrollPane's viewport

## Constructor Summary

Constructors
Constructor
Description
`Result()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### showH

public boolean showH
Show horizontal scrollbar boolean

### showV

public boolean showV
Show vertical scrollbar boolean

### viewportArea

public Rectangle viewportArea
Area of ScrollPane's viewport

### insets

public Insets insets
Insets of ScrollPane

## Constructor Details

### Result

public Result()